# TODO: java package
#
# Conditional build:
%bcond_with	re2		# RE2 regular expressions engine (broken as of 8.12.2)
%bcond_without	static_libs	# static libraries
#
Summary:	Library to handle international phone numbers
Summary(pl.UTF-8):	Biblioteka do obsługi międzynarodowych numerów telefonów
Name:		libphonenumber
Version:	8.12.51
Release:	1
License:	Apache v2.0 with BSD parts
Group:		Libraries
#Source0Download: https://github.com/google/libphonenumber/releases/
Source0:	https://github.com/google/libphonenumber/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	f57a5b475bc5939c7ea04faa6e94d601
Patch0:		%{name}-link.patch
Patch1:		%{name}-no-fetch.patch
URL:		https://github.com/google/libphonenumber/
BuildRequires:	abseil-cpp-devel
BuildRequires:	boost-devel >= 1.40.0
BuildRequires:	cmake >= 2.8.5
BuildRequires:	gtest-devel
BuildRequires:	jre
BuildRequires:	libicu-devel >= 4.4
BuildRequires:	libstdc++-devel >= 6:7
BuildRequires:	pkgconfig
BuildRequires:	protobuf-devel >= 2.4
%{?with_re2:BuildRequires:	re2-devel}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Google's common C++ library for parsing, formatting, storing and
validating international phone numbers.

%description -l pl.UTF-8
Wspólna biblioteka C++ Google'a do analizy, formatowania,
przechowywania oraz sprawdzania poprawności międzynarodowych numerów
telefonów.

%package devel
Summary:	Header files for libphonenumber library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libphonenumber
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	boost-devel >= 1.40.0
Requires:	libicu-devel
Requires:	libstdc++-devel
Requires:	protobuf-devel

%description devel
Header files for libphonenumber library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libphonenumber.

%package static
Summary:	Static libphonenumber libraries
Summary(pl.UTF-8):	Statyczne biblioteki libphonenumber
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libphonenumber libraries.

%description static -l pl.UTF-8
Statyczne biblioteki libphonenumber.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
install -d build/cpp
cd build/cpp
%cmake ../../cpp \
	%{!?with_static_libs:-DBUILD_STATIC_LIB=OFF} \
	%{?with_re2:-DUSE_RE2=ON}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build/cpp install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS CONTRIBUTORS FALSEHOODS.md FAQ.md LICENSE.Chromium README.md release_notes.txt cpp/{LICENSE,README}
%attr(755,root,root) %{_libdir}/libgeocoding.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libgeocoding.so.8
%attr(755,root,root) %{_libdir}/libphonenumber.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libphonenumber.so.8

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgeocoding.so
%attr(755,root,root) %{_libdir}/libphonenumber.so
%{_includedir}/phonenumbers

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libgeocoding.a
%{_libdir}/libphonenumber.a
%endif
%changelog
* Fri Jul 08 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libphonenumber.git;a=log;h=master

* Thu Jul 07 2022 Jakub Bogusz <qboosh@pld-linux.org> b5e9b93
- updated to 8.12.51

* Sun Jun 05 2022 Jakub Bogusz <qboosh@pld-linux.org> 5389ffd
- updated to 8.12.49
- updated no-fetch patch

* Fri Jun 03 2022 Jan Palus <atler@pld-linux.org> 460d250
- boost+icu rebuild

* Mon Apr 04 2022 Jakub Bogusz <qboosh@pld-linux.org> eb6976d
- updated to 8.12.46, more absl libs needed

* Wed Feb 16 2022 Jan Rękorajski <baggins@pld-linux.org> e3f0854
- Release 4 (by relup.sh)

* Wed Feb 16 2022 Jakub Bogusz <qboosh@pld-linux.org> ef641c2
- release 3 (abseil-cpp sonames change)

* Tue Feb 08 2022 Jakub Bogusz <qboosh@pld-linux.org> 3850157
- force C++17 required by abseil 2021xxxx

* Tue Feb 08 2022 Jakub Bogusz <qboosh@pld-linux.org> 4ded0a6
- added no-fetch patch to use system abseil-cpp; release 2

* Tue Feb 08 2022 Jakub Bogusz <qboosh@pld-linux.org> 45ae9cc
- updated to 8.12.42

* Sat Jan 15 2022 Jan Palus <atler@pld-linux.org> ef63e06
- boost/icu rebuild

* Sun Aug 15 2021 Jakub Bogusz <qboosh@pld-linux.org> e612b3b
- updated to 8.12.29

* Mon Aug 09 2021 Jan Palus <atler@pld-linux.org> ba58a0c
- icu+boost rebuild

* Wed Jan 20 2021 Jakub Bogusz <qboosh@pld-linux.org> 420ef40
- updated to 8.12.16

* Mon Sep 21 2020 Jakub Bogusz <qboosh@pld-linux.org> c03620e
- release 2 (protobuf 3.13)

* Tue Sep 08 2020 Jakub Bogusz <qboosh@pld-linux.org> 4abdfcf
- updated to 8.12.9

* Tue Jul 28 2020 Jakub Bogusz <qboosh@pld-linux.org> ef67038
- release 2 (boost 1.73)

* Fri Jul 10 2020 Jakub Bogusz <qboosh@pld-linux.org> 94197d0
- updated to 8.12.7

* Wed Jul 01 2020 Jan Palus <atler@pld-linux.org> 2cc4cc3
- icu 67 rebuild
- release 3 (by relup.sh)

* Mon Jun 01 2020 Jan Rękorajski <baggins@pld-linux.org> ddc21e0
- release 2 (by relup.sh)

* Wed May 27 2020 Jakub Bogusz <qboosh@pld-linux.org> c4d0518
- updated to 8.12.4

